<?php 
include"../../aut_verifica.inc.php";
require_once('../config/lang/eng.php');
require_once('../tcpdf.php');
error_reporting(E_ERROR | E_PARSE);

	header('Content-Type: text/html; charset=UTF-8');
	date_default_timezone_set('America/Caracas');
	header("Last-Modified: " . gmdate("D, d M Y H:i ") . " GMT"); 
	header("Cache-Control: no-store, no-cache, must-revalidate"); 
	header("Cache-Control: post-check=0, pre-check=0", false); 
	header("Pragma: no-cache");	
	$fecha_ingreso=date('d/m/y - h:i:s A');
$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
// Informacion del Documento
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('CLOPEZ');
$pdf->SetTitle('REPORTE BANCO');
$pdf->SetSubject('');
$pdf->SetKeywords('');
$pdf->setLanguageArray($l);
$pdf->AddPage();

$fecha_actualxls=$_GET['fecha_cliente'];
$html1 ='
	<h1>AMANACU</h1><br>
	<b>REPORTE DETALLADO DE BANCO POR BANCO: </b>  <br>FECHA SELECCIONADA: '.$fecha_actualxls.'<br>IMPRESO: '.$fecha_ingreso.'
';
$consultar_sql_anticipo=mysql_query("select * from  tabla_anticipo_xls where eliminar='0' and fecha_registro='$fecha_actualxls'   GROUP BY tipo_banco ",$link);
while($ver_consultar_sql_anticipo=mysql_fetch_array($consultar_sql_anticipo)){
	$tipo_banco=$ver_consultar_sql_anticipo['tipo_banco'];
	$consultar_banco=mysql_query("select * from  tabla_banco_xls where id='$tipo_banco' ",$link);
	$ver_consultar_banco=mysql_fetch_array($consultar_banco);

	$id_anticipo=$ver_consultar_sql_anticipo['id'];
	
	$consultar_sql_anticipox1=mysql_query("select * from  tabla_anticipo_xls where cod_cliente='$cod_cliente' and fecha_registro='$fecha_actualxls' and  eliminar='0'  ",$link);
	$ver_consultar_sql_anticipox=mysql_num_rows($consultar_sql_anticipox1);
	
$j++;
$html4[]='
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 <br><b style="background-color:#c5c4c4;">BANCO: '.$ver_consultar_banco['nombre'].' </b>  - '.$ver_consultar_banco['descripcion'].' - NUMERO DE CUENTA: '.$ver_consultar_banco['numero_cuenta'].' 
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  <br>
  <table border="0" WIDTH="100%">
	<tr style="background-color:#f9f9f9;" >
		<td WIDTH="55%">CLIENTE</td>
		<td WIDTH="8%">FECHA</td>
		<td WIDTH="12%" style="text-align:center;">REFRENCIA</td>
		<td WIDTH="10%" style="text-align:right;">MONTO BS</td>
		<td WIDTH="5%" style="text-align:right;">TASA</td>
		<td WIDTH="10%" style="text-align:right;">MONTO $</td>
	</tr>
 </table>
';

$consultar_sql_ver_sumax23=mysql_query("select * from  tabla_anticipo_xls where tipo_banco='$tipo_banco' and fecha_registro='$fecha_actualxls' and  eliminar='0' ",$link);
while($ver_consultar_sql_ver_sumax22=mysql_fetch_array($consultar_sql_ver_sumax23)){
	$cod_cliente=$ver_consultar_sql_ver_sumax22['cod_cliente'];
	$suma_bolivares=$ver_consultar_sql_ver_sumax22['monto_trans'];
	$suma_dolares=$ver_consultar_sql_ver_sumax22['monto_dolar'];
		$tipo_banco=$ver_consultar_sql_ver_sumax22['tipo_banco'];
		$consultar_sql_ver=mysql_query("select * from  tabla_banco_xls where id='$tipo_banco'",$link);
		$ver_consultar_sql_ver=mysql_fetch_array($consultar_sql_ver); 
		
		$consultar_cliente=mysql_query("select * from  tabla_clintes_xls where id='$cod_cliente' ",$link);
		$ver_consultar_cliente=mysql_fetch_array($consultar_cliente);
		
		
		$banco_tipo=$ver_consultar_sql_ver['descripcion']; 
$j++;
$html4[]='
	<table  border="0" WIDTH="100%">
	  <tr>
		<td WIDTH="55%">'.$ver_consultar_cliente['rif'].' '.$ver_consultar_cliente['descripcion'].'</td>
		<td WIDTH="8%">'.$ver_consultar_sql_ver_sumax22['facha_deposito'].'</td>
		<td WIDTH="12%" style="text-align:center;">'.$ver_consultar_sql_ver_sumax22['referencia_bancaria'].'</td>
		<td WIDTH="10%" style="text-align:right;">'.number_format($suma_bolivares, 2, ',','.').'</td>
		<td WIDTH="5%" style="text-align:right;">'.$ver_consultar_sql_ver_sumax22['tasa_dolar'].'</td>
		<td WIDTH="10%" style="text-align:right;">'.number_format($suma_dolares, 2, ',','.').'</td>
	  </tr> 
	</table>
	 '; 
}

$total_anticipo=mysql_query("select SUM(monto_trans),SUM(monto_dolar),eliminar,fecha_registro,id from  tabla_anticipo_xls where eliminar='0' and fecha_registro='$fecha_actualxls' and tipo_banco='$tipo_banco' ",$link);
$ver_total_anticipo=mysql_fetch_array($total_anticipo);
$total_bolivares=$ver_total_anticipo['SUM(monto_trans)'];
$total_dolares=$ver_total_anticipo['SUM(monto_dolar)'];
$j++;
$html4[]='
	<table style="background-color:#;" border="0" WIDTH="100%">
	  <tr>
		<td><b>TOTAL EN BS: </b>'.number_format($total_bolivares, 2, ',','.').'</td>
		<td><b>TOTAL EN $:</b> '.number_format($total_dolares, 2, ',','.').'</td>
	  </tr> 
	</table>
	 '; 
	 
$j++;
$html4[]='
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 <br><br>
  <table border="0">
	<tr style="background-color:#f9f9f9;" >
		<td>TRANSACCION POR FECHA DE DEPOSITO:</td>
		<td style="text-align:right;">MONTO BS</td>
		<td style="text-align:right;">MONTO $</td>
	</tr>
 </table>
';

	$consultar_sql_ver_sumax23=mysql_query("select * from  tabla_anticipo_xls where eliminar='0' and fecha_registro='$fecha_actualxls'  and tipo_banco='$tipo_banco' GROUP BY facha_deposito ",$link);
	while($ver_consultar_sql_ver_sumax22=mysql_fetch_array($consultar_sql_ver_sumax23)){
	$facha_deposito=$ver_consultar_sql_ver_sumax22['facha_deposito'];
		$consultar_sql_ver_sumax234=mysql_query("select SUM(monto_trans),SUM(monto_dolar),eliminar,fecha_registro,id,facha_deposito,tipo_banco from  tabla_anticipo_xls where eliminar='0' and fecha_registro='$fecha_actualxls' and  tipo_banco='$tipo_banco' and facha_deposito='$facha_deposito' ",$link);
		$ver_consultar_sql_ver_sumax224=mysql_fetch_array($consultar_sql_ver_sumax234);
		$suma_bolivares=$ver_consultar_sql_ver_sumax224['SUM(monto_trans)']; 
		$suma_dolares=$ver_consultar_sql_ver_sumax224['SUM(monto_dolar)'];
		$consultar_sql_ver=mysql_query("select * from  tabla_banco_xls where id='$tipo_banco'",$link);
		$ver_consultar_sql_ver=mysql_fetch_array($consultar_sql_ver); 
		$id_control_edit=$ver_consultar_sql_ver['id']; 
		$banco_tipo=$ver_consultar_sql_ver['descripcion']; 

$j++;
	$html4[]='
	<table  border="0" >
	  <tr>
		<td>'.$facha_deposito.'</td>
		<td style="text-align:right;">'.number_format($suma_bolivares, 2, ',','.').'</td>
		<td style="text-align:right;">'.number_format($suma_dolares, 2, ',','.').'</td>
	  </tr> 
	</table>
	 '; 
}	 
	 
	 
	 
	 
}






	$consultar_sql_ver_suma=mysql_query("select SUM(monto_trans),SUM(monto_dolar),eliminar,fecha_registro,id from  tabla_anticipo_xls where eliminar='0' and fecha_registro='$fecha_actualxls' ORDER BY id DESC ",$link);
	$ver_consultar_sql_ver_sumax1=mysql_fetch_array($consultar_sql_ver_suma);
$html5='
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 <br>
	<b> TOTAL EN BOLIVARES: '.number_format($ver_consultar_sql_ver_sumax1['SUM(monto_trans)'], 2, ',','.').'  TOTAL EN $: '.number_format($ver_consultar_sql_ver_sumax1['SUM(monto_dolar)'], 2, ',','.').'</b>
';



$html_cabecera_fecha='
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 <br><b> DETALLE DE TRANSACCION POR FECHA:</b><br>
  <table border="0">
	<tr style="background-color:#f9f9f9;" >
		<td>FECHA DEL DEPOSITO</td>
		<td style="text-align:right;">MONTO BS</td>
		<td style="text-align:right;">MONTO $</td>
	</tr>
 </table>
';

	$consultar_sql_ver_sumax23=mysql_query("select * from  tabla_anticipo_xls where eliminar='0' and fecha_registro='$fecha_actualxls' and tipo_banco!='16' GROUP BY facha_deposito ",$link);
	while($ver_consultar_sql_ver_sumax22=mysql_fetch_array($consultar_sql_ver_sumax23)){
	$facha_deposito=$ver_consultar_sql_ver_sumax22['facha_deposito'];
		$consultar_sql_ver_sumax234=mysql_query("select SUM(monto_trans),SUM(monto_dolar),eliminar,fecha_registro,id,facha_deposito from  tabla_anticipo_xls where eliminar='0' and fecha_registro='$fecha_actualxls' and facha_deposito='$facha_deposito' ",$link);
		$ver_consultar_sql_ver_sumax224=mysql_fetch_array($consultar_sql_ver_sumax234);
		$suma_bolivares=$ver_consultar_sql_ver_sumax224['SUM(monto_trans)']; 
		$suma_dolares=$ver_consultar_sql_ver_sumax224['SUM(monto_dolar)'];
		$consultar_sql_ver=mysql_query("select * from  tabla_banco_xls where id='$tipo_banco'",$link);
		$ver_consultar_sql_ver=mysql_fetch_array($consultar_sql_ver); 
		$id_control_edit=$ver_consultar_sql_ver['id']; 
		$banco_tipo=$ver_consultar_sql_ver['descripcion']; 
$h++;

	$html_detalle_fecha[]='
	<table  border="0" >
	  <tr>
		<td>'.$facha_deposito.'</td>
		<td style="text-align:right;">'.number_format($suma_bolivares, 2, ',','.').'</td>
		<td style="text-align:right;">'.number_format($suma_dolares, 2, ',','.').'</td>
	  </tr> 
	</table>
	 '; 
}

$html_cabecera_notadas_debeito='
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 <br><b> DETALLE DE NOTAS DE DEBITO:</b><br>
  <table border="0">
	<tr style="background-color:#f9f9f9;" >
		<td WIDTH="20%">CLIENTE</td>
		<td WIDTH="10%">FACTURA</td>
		<td style="text-align:right;">NOTA DE DEBITO</td>
		<td style="text-align:right;">MONTO Bs.</td>
		<td style="text-align:right;">TASA</td>
		<td style="text-align:right;">MONTO $</td>
	</tr>
 </table>
';

	$consultar_sql_ver_sumax23xS=mysql_query("select * from   tabla_factura_xls where eliminar='0' and fecha_registro_debito='$fecha_actualxls' and tipo_documento='1'  ",$link);
	while($ver_consultar_sql_ver_sumax22xS=mysql_fetch_array($consultar_sql_ver_sumax23xS)){
	$monto_factura=$ver_consultar_sql_ver_sumax22xS['monto_factura'];
	$monto_dolares=$ver_consultar_sql_ver_sumax22xS['monto_dolares'];
	$tasa_dolar=$ver_consultar_sql_ver_sumax22xS['tasa_dolar'];
	$cod_cliente=$ver_consultar_sql_ver_sumax22xS['cod_cliente'];
	$ver_clientesxx=mysql_query("select * from   tabla_clintes_xls where id='$cod_cliente' ",$link);
	$ver_clientesx=mysql_fetch_array($ver_clientesxx);	
	
$m++;

	$html_notadas_debeito[]='
	<table  border="0" >
	  <tr>
		<td WIDTH="20%">'.$ver_clientesx['descripcion'].'</td>
		<td WIDTH="10%">'.$ver_consultar_sql_ver_sumax22xS['n_factura_debito'].'</td>
		<td style="text-align:right;">'.$ver_consultar_sql_ver_sumax22xS['n_factura'].'</td>
		<td style="text-align:right;">'.number_format($monto_factura, 2, ',','.').'</td>
		<td style="text-align:right;">'.number_format($tasa_dolar, 2, ',','.').'</td>
		<td style="text-align:right;">'.number_format($monto_dolares, 2, ',','.').'</td>
	  </tr> 
	</table>
	 '; 
}



// Estilo 
$pdf->SetFont('times', '', 8);
$pdf->writeHTML($html1, true, 0, true, true);
$pdf->Ln();
for($z=0;$z<=$j;$z++){
		$pdf->writeHTML($html4[$z], true, 0, true, true);
		$pdf->Ln();
	}
$pdf->Ln();
$pdf->writeHTML($html5, true, 0, true, true);
$pdf->Ln(5);

$pdf->writeHTML($html_cabecera_fecha, true, 0, true, true);
$pdf->Ln(1);
	for($x1=0;$x1<=$h;$x1++){
		$pdf->writeHTML($html_detalle_fecha[$x1], true, 0, true, true);
		$pdf->Ln(1);
	}
$pdf->writeHTML($html_cabecera_notadas_debeito, true, 0, true, true);
$pdf->Ln(1);
	for($x1=0;$x1<=$m;$x1++){
		$pdf->writeHTML($html_notadas_debeito[$x1], true, 0, true, true);
		$pdf->Ln(1);
	} 
$pdf->write1DBarcode(''.$fecha_actualxls.'', 'C39E+', '', '', '', 18, 0.4, $style, 'N');
$pdf->Ln();
$pdf->Output('REPORTE_BANCO'.$fecha_actualxls.'.pdf', 'I');
?>